Bug 34531 - can not write with Smartboard while presenting
Summary: can not write with Smartboard while presenting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Show
  Show dependency treegraph
 
Reported: 2011-02-21 04:49 UTC by Sam Cornn
Modified: 2019-12-03 13:55 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
slide show settings (58.34 KB, image/png)
2011-12-06 09:33 UTC, Sam Cornn
Details
pen settings in slideshow (62.97 KB, image/png)
2011-12-06 09:34 UTC, Sam Cornn
Details
working smart board (8.89 KB, text/plain)
2012-01-20 09:39 UTC, mal
Details
not working smart board (9.21 KB, text/plain)
2012-01-20 09:39 UTC, mal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Cornn 2011-02-21 04:49:32 UTC
first found on Mac OOo3.3 asked other school districts and was confirmed to be a problem on Windows 
systems also. same in LibreOffice. does not happen in NeoOffice for the Mac.

when presenting a Impress slideshow you can not draw on the screen with smartboard pens when you 
escape from presentation mode the drawings show up. 

We have teachers that enter math problems in to a slideshow then have the kids solve the problems on 
the smartboard. We are pushing OOo to our teachers to reduce costs and promote Open source 
software to the teacher.
Comment 1 mal 2011-10-28 03:44:44 UTC
This is still the case with 3.4.2 at least on Linux

This is quite ( ie very very ) important to us as well

I have openSuse 11.4 with the latest Nvidia blob. It doesn't 
matter if you use KDE or Gnome. The Smartboard screen is the 
2nd display. Once the presentation goes full screen, picking
up a pen doesn't start the ink layer. A normal maximised app
on that screen works as it should ie picking up a coloured pen 
brings up ink layer and you can write on the screen.
Comment 2 mal 2011-11-01 02:32:40 UTC
I think this is bug 40570

Unfortunately this bug makes LO presenter unusable
in schools with smartboards

M
Comment 3 mal 2011-12-06 04:59:09 UTC
I have just tried 3.5 Beta0 on Windows XP and Smartboards work fine,
will try with Linux shortly...
Comment 4 Sam Cornn 2011-12-06 09:33:30 UTC
Created attachment 54153 [details]
slide show settings
Comment 5 Sam Cornn 2011-12-06 09:34:16 UTC
Created attachment 54154 [details]
pen settings in slideshow
Comment 6 Sam Cornn 2011-12-06 10:53:35 UTC
tried on OSX 10.5.8 
No Change in regards to the smartboard pens and the ink layer 

I did find that 3.5 beta0 has improved their "Mouse Pointer as pen" found in Slideshow> slideshow settings see attachment

now you can change pen colors and pen width and draw on the slideshow see attachment
you can take a screen shot to save the drawing(command option 3)


If you are using a smartboard you can not use the Pens as that starts the ink layer in the back but you can use your finger.  as the late great Steve Jobs Said  "Who wants a stylus. You have to get em and put em away, and you lose em. Yuck. Nobody wants a stylus."
Comment 7 mal 2011-12-06 12:25:12 UTC
Doesn't work with Beta0 on opensuse 11.4 and nvidia
The option in the slideshow setup to have the presentation
always on top doesn't work. The  ink layer cannot get above
the presentation regardless of the setting.

M
Comment 8 Björn Michaelsen 2011-12-23 11:52:00 UTC Comment hidden (obsolete)
Comment 9 mal 2012-01-18 02:05:42 UTC
LO Beta 3 works fine on XP
Doesn't work with opensuse 11.4, Nvidia and KDE

Ink layer can't get above presentation on 2nd screen
Comment 10 mal 2012-01-20 05:42:35 UTC
Tested RC1 and this is what happens 
machine is openSuse 12.1, Nvidia blob, 2 screens, Smartboard 

Login with KDE or Gnome
Start LO 3.5 RC1
Open presentation 
Set presentation to go on 2nd screen
Start presentation
Whiteboard works perfectly ie can use ink layer etc
Stop presentation

Restart same presentation
Whiteboard doesn't work any more ie no ink layer

Close Impress

Open Impress
Restart same presentation
Whiteboard still doesn't work

Logout

Login again
Impress now works
etc etc etc

The first time you do a presentation after logging in it works, thereafter it doesn't.

regards

Mal
Comment 11 Michael Meeks 2012-01-20 05:53:06 UTC
That is extraordinary. If it is for both KDE & GNOME it's prolly not a window manager issue - which is encouraging. How we manage to detect that this is the 2nd time we display and do something different I don't know.

Can you confirm:

a) whether this is a regression - did it work with 3.4.x ?

b) can you do:

xwininfo -tree -root

before launching the presentation; then again while the presentation is running, and then a third time when you run it again (when it fails).

Hopefully we can diff -u that output an see some difference there.

Thanks :-)
Comment 12 mal 2012-01-20 09:39:27 UTC
Created attachment 55838 [details]
working smart board
Comment 13 mal 2012-01-20 09:39:54 UTC
Created attachment 55839 [details]
not working smart board
Comment 14 mal 2012-01-20 10:22:30 UTC
OK, I think I've attached the files although I forgot to do the immediately after login one

In answer to your first question- As far as I can remember it's never worked in Linux

One or two things come to my mind as a non programmer.

You can put any LO application on the second screen and maximise it, minimise it  or whatever and the ink layer works. It's only as soon as you go full screen in Impress that it messes things up.

Sometimes when it goes wrong and the ink layer isn't on the whiteboard but you can find it back on the primary monitor. It seems like if the smartboard software can't get onto the 2nd screen it gives up and goes back to the primary screen and then you have to re orient the screen

If you haven't used smartboard software a lot when you start it up it defaults to the 1st screen even if you have 2 screens. You then orient the smartboard  ( touch the pens on the dots to align it ) When the orient screen comes up if it's on the wrong screen, as it always will be the first time, you press the space bar to tell it to go to the other screen. 

The check box that says presentation always on top is a good idea to stop pop ups appearing in the middle of your presentation, particularly if you using a single screen or cloned screens. Basically whatever unchecking that box suppose to do, doesn't! 

Mal

M
Comment 15 Cor Nouws 2012-01-22 13:13:25 UTC
related to Bug 40570 - UI: Uncheck setting "Presentation always on top" without influence ?
Comment 16 mal 2012-01-27 05:40:40 UTC
Updated the machine to KDE 4.8 and LO RC2 and did some more experimenting

As before... but I think I know what you have to do to stop it working

Login 
Start presentation on second screen ( smartboard )
Pick up pens, eraser 
Ink layer starts OK and you can draw on the screen
Put down pens close ink layer with red x in top corner BUT DONT DO ANYTHING ELSE

You can then pick up pens etc and ink layer will start again OK.. draw happily..
repeat for ever 

Put down pens and close ink layer
Then tap on the smartboard with finger
Cursor appears at that point from where ever you left it ( as it should )

Now pick up pens .... the ink layer doesn't appear anymore or ever again
until you log out and back in again

regards

Mal
Comment 17 mal 2012-02-06 05:13:01 UTC
No change in RC3
Comment 18 mal 2012-02-06 05:19:34 UTC
Also see bug 45697

Presentations on dual screens in Linux seem very broken

M
Comment 19 mal 2012-04-04 04:34:13 UTC
Update on this...

openSuse 12.1
LO 3.5.2 from Unstable
Nvidia

This still happens

I have found a simpler way to reproduce it now

Start LO Impress
Open or create a presentation
Set to go onto screen 2 ( smartboard )
F5

Pick up pen and write on smartboard - Ink layer opens OK
put down pen
Close inklayer
Repeat as much as you want - Use different colours or eraser
All works fine

Now close inklayer
Tap smartboard with finger to advance to next slide
Ink layer never works again

Reboot and repeat etc 

regards

Mal
Comment 20 QA Administrators 2015-01-05 17:52:14 UTC Comment hidden (obsolete)
Comment 21 QA Administrators 2016-01-17 20:04:36 UTC Comment hidden (obsolete)
Comment 22 QA Administrators 2017-03-06 14:27:45 UTC Comment hidden (obsolete)
Comment 23 QA Administrators 2019-12-03 13:55:54 UTC
Dear Sam Cornn,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug